> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/machine-learning/ml-functions.md).

# ML Functions

Operations related to Machine Learning Functions that execute ML algorithms within the platform to update user profile scores.

## GET /ml\_functions

> Search machine learning functions

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"ML Functions","description":"Operations related to Machine Learning Functions that execute ML algorithms within the platform to update user profile scores."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/ml_functions":{"get":{"parameters":[{"name":"datamart_id","explode":true,"in":"query","description":"Datamart owning the machine learning function","schema":{"type":"integer","format":"int64"},"style":"form","required":false},{"required":false,"name":"organisation_id","description":"Organisation owning the machine learning function","in":"query","style":"form","schema":{"type":"integer","format":"int64"},"explode":true},{"name":"community_id","schema":{"type":"integer","format":"int64"},"required":false,"style":"form","description":"Community owning the machine learning function","in":"query","explode":true},{"name":"first_result","required":false,"in":"query","explode":true,"style":"form","schema":{"type":"integer","format":"int32"},"description":"Offset from which the search must be performed"},{"in":"query","name":"max_results","schema":{"type":"integer","format":"int32"},"required":false,"explode":true,"style":"form","description":"Number of maximum items that shall be return by this search"},{"name":"order_by","style":"form","schema":{"type":"array","items":{"type":"string"}},"description":"Fields used to order the result","required":false,"in":"query","explode":true},{"style":"form","name":"keywords","schema":{"type":"string"},"description":"The keywords to match with machine learning function names","required":false,"in":"query","explode":true}],"summary":"Search machine learning functions","operationId":"findMlFunctions","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MlFunctionResource"}},"max_results":{"type":"integer"},"first_result":{"type":"integer"},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","tags":["ML Functions"]}}},"components":{"schemas":{"MlFunctionResource":{"type":"object","properties":{"version_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/MlFunctionStatus"},"batch_mode":{"type":"boolean","default":false,"readOnly":false},"query":{"type":"string","readOnly":false},"group_id":{"type":"string","readOnly":false},"artifact_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"field_name":{"type":"string","readOnly":false},"expiration_period":{"type":"string","description":"A valid ISO 8601 Period String","readOnly":false},"version_value":{"type":"string","readOnly":true},"hosting_object_type_name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"field_type_name":{"type":"string","readOnly":false}},"required":["artifact_id","batch_mode","datamart_id","field_name","field_type_name","group_id","hosting_object_type_name","id","name","organisation_id","query","status","version_id","version_value"]},"MlFunctionStatus":{"type":"string","enum":["INITIAL","ACTIVE","PAUSED","ERROR"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /ml\_functions

> Create a machine learning function

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"ML Functions","description":"Operations related to Machine Learning Functions that execute ML algorithms within the platform to update user profile scores."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/ml_functions":{"post":{"tags":["ML Functions"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/MlFunctionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Create a machine learning function","requestBody":{"description":"The machine learning function to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MlFunctionResource"}}},"required":true},"operationId":"createMlFunction","description":""}}},"components":{"schemas":{"MlFunctionResource":{"type":"object","properties":{"version_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/MlFunctionStatus"},"batch_mode":{"type":"boolean","default":false,"readOnly":false},"query":{"type":"string","readOnly":false},"group_id":{"type":"string","readOnly":false},"artifact_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"field_name":{"type":"string","readOnly":false},"expiration_period":{"type":"string","description":"A valid ISO 8601 Period String","readOnly":false},"version_value":{"type":"string","readOnly":true},"hosting_object_type_name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"field_type_name":{"type":"string","readOnly":false}},"required":["artifact_id","batch_mode","datamart_id","field_name","field_type_name","group_id","hosting_object_type_name","id","name","organisation_id","query","status","version_id","version_value"]},"MlFunctionStatus":{"type":"string","enum":["INITIAL","ACTIVE","PAUSED","ERROR"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /ml\_functions/{id}/properties

> List machine learning function properties

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"ML Functions","description":"Operations related to Machine Learning Functions that execute ML algorithms within the platform to update user profile scores."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/ml_functions/{id}/properties":{"get":{"operationId":"findProperties","tags":["ML Functions"],"description":"","parameters":[{"style":"simple","required":true,"description":"The machine learning function id","in":"path","schema":{"type":"integer","format":"int64"},"name":"id","explode":false},{"schema":{"type":"string"},"required":false,"explode":true,"in":"query","style":"form","name":"plugin_version_id"}],"summary":"List machine learning function properties","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/PropertyResource"}},"count":{"type":"integer"}},"required":["count","data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"PropertyResource":{"type":"object","properties":{"writable":{"type":"boolean","default":false,"readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"},"origin":{"$ref":"#/components/schemas/PluginPropertyOrigin"},"technical_name":{"type":"string","readOnly":false},"deletable":{"type":"boolean","default":false,"readOnly":false}},"required":["deletable","origin","technical_name","value","writable"]},"PropertyValueResource":{"type":"object"},"PluginPropertyOrigin":{"type":"string","enum":["PLUGIN_STATIC","PLUGIN","INSTANCE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /ml\_functions/{id}/properties

> Add a property to the machine learning function

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"ML Functions","description":"Operations related to Machine Learning Functions that execute ML algorithms within the platform to update user profile scores."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/ml_functions/{id}/properties":{"post":{"parameters":[{"style":"simple","schema":{"type":"integer","format":"int64"},"in":"path","description":"The machine learning function id","required":true,"name":"id","explode":false},{"schema":{"type":"string"},"explode":true,"in":"query","required":false,"style":"form","name":"plugin_version_id"}],"requestBody":{"description":"The property to add","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyResource"}}},"required":true},"tags":["ML Functions"],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PropertyResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"addProperty","summary":"Add a property to the machine learning function"}}},"components":{"schemas":{"PropertyResource":{"type":"object","properties":{"writable":{"type":"boolean","default":false,"readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"},"origin":{"$ref":"#/components/schemas/PluginPropertyOrigin"},"technical_name":{"type":"string","readOnly":false},"deletable":{"type":"boolean","default":false,"readOnly":false}},"required":["deletable","origin","technical_name","value","writable"]},"PropertyValueResource":{"type":"object"},"PluginPropertyOrigin":{"type":"string","enum":["PLUGIN_STATIC","PLUGIN","INSTANCE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /ml\_functions/{id}

> Get machine learning function

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Mediarithmics most used API","description":"These operations where flagged by mediarithmics teams as most useful."},{"name":"ML Functions","description":"Operations related to Machine Learning Functions that execute ML algorithms within the platform to update user profile scores."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/ml_functions/{id}":{"get":{"parameters":[{"explode":false,"description":"The machine learning function id","name":"id","schema":{"type":"integer","format":"int64"},"style":"simple","required":true,"in":"path"}],"description":"","operationId":"getMlFunction","tags":["ML Functions","Mediarithmics most used API"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/MlFunctionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Get machine learning function"}}},"components":{"schemas":{"MlFunctionResource":{"type":"object","properties":{"version_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/MlFunctionStatus"},"batch_mode":{"type":"boolean","default":false,"readOnly":false},"query":{"type":"string","readOnly":false},"group_id":{"type":"string","readOnly":false},"artifact_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"field_name":{"type":"string","readOnly":false},"expiration_period":{"type":"string","description":"A valid ISO 8601 Period String","readOnly":false},"version_value":{"type":"string","readOnly":true},"hosting_object_type_name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"field_type_name":{"type":"string","readOnly":false}},"required":["artifact_id","batch_mode","datamart_id","field_name","field_type_name","group_id","hosting_object_type_name","id","name","organisation_id","query","status","version_id","version_value"]},"MlFunctionStatus":{"type":"string","enum":["INITIAL","ACTIVE","PAUSED","ERROR"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /ml\_functions/{id}

> Update machine learning function

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Mediarithmics most used API","description":"These operations where flagged by mediarithmics teams as most useful."},{"name":"ML Functions","description":"Operations related to Machine Learning Functions that execute ML algorithms within the platform to update user profile scores."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/ml_functions/{id}":{"put":{"tags":["ML Functions","Mediarithmics most used API"],"description":"","operationId":"updateMlFunction","parameters":[{"schema":{"type":"integer","format":"int64"},"explode":false,"description":"The machine learning function id","required":true,"style":"simple","in":"path","name":"id"}],"requestBody":{"description":"The machine learning function to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MlFunctionResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/MlFunctionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Update machine learning function"}}},"components":{"schemas":{"MlFunctionResource":{"type":"object","properties":{"version_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/MlFunctionStatus"},"batch_mode":{"type":"boolean","default":false,"readOnly":false},"query":{"type":"string","readOnly":false},"group_id":{"type":"string","readOnly":false},"artifact_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"field_name":{"type":"string","readOnly":false},"expiration_period":{"type":"string","description":"A valid ISO 8601 Period String","readOnly":false},"version_value":{"type":"string","readOnly":true},"hosting_object_type_name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"field_type_name":{"type":"string","readOnly":false}},"required":["artifact_id","batch_mode","datamart_id","field_name","field_type_name","group_id","hosting_object_type_name","id","name","organisation_id","query","status","version_id","version_value"]},"MlFunctionStatus":{"type":"string","enum":["INITIAL","ACTIVE","PAUSED","ERROR"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /ml\_functions/{id}

> Delete machine learning function

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Mediarithmics most used API","description":"These operations where flagged by mediarithmics teams as most useful."},{"name":"ML Functions","description":"Operations related to Machine Learning Functions that execute ML algorithms within the platform to update user profile scores."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/ml_functions/{id}":{"delete":{"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"required":true,"description":"The machine learning function id","explode":false,"style":"simple","name":"id","schema":{"type":"integer","format":"int64"},"in":"path"}],"operationId":"deleteMlFunction","tags":["ML Functions","Mediarithmics most used API"],"summary":"Delete machine learning function","description":""}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## PUT /ml\_functions/{id}/properties/technical\_name={technical\_name}

> Update machine learning function property

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"ML Functions","description":"Operations related to Machine Learning Functions that execute ML algorithms within the platform to update user profile scores."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/ml_functions/{id}/properties/technical_name={technical_name}":{"put":{"summary":"Update machine learning function property","parameters":[{"style":"simple","name":"id","explode":false,"schema":{"type":"integer","format":"int64"},"in":"path","description":"The machine learning function id","required":true},{"description":"The machine learning function property technical name","schema":{"type":"string"},"required":true,"in":"path","name":"technical_name","explode":false,"style":"simple"},{"required":false,"schema":{"type":"string"},"style":"form","explode":true,"in":"query","name":"plugin_version_id"}],"requestBody":{"description":"The property to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PropertyResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"updateProperty","description":"","tags":["ML Functions"]}}},"components":{"schemas":{"PropertyResource":{"type":"object","properties":{"writable":{"type":"boolean","default":false,"readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"},"origin":{"$ref":"#/components/schemas/PluginPropertyOrigin"},"technical_name":{"type":"string","readOnly":false},"deletable":{"type":"boolean","default":false,"readOnly":false}},"required":["deletable","origin","technical_name","value","writable"]},"PropertyValueResource":{"type":"object"},"PluginPropertyOrigin":{"type":"string","enum":["PLUGIN_STATIC","PLUGIN","INSTANCE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/machine-learning/ml-functions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
